Subject: URL rewrites for submodules

From: Toon Claes <[email-masked]>
Date: Mon, 10 Feb 2020 21:56:28 +0100

Hi,

I recently learned about rewriting URLs. Pretty cool feature. Learned
about it here:
https://jonhnnyweslley.net/blog/how-to-rewrite-git-urls-to-clone-faster-and-push-safer/ 

But I've been doing some testing, and this feature does not seem to work
for git submodules. Is it like that by design, so are there technical or
practical limitation why we would not like to have this feature on
submodules too?

If it's not by design, would you consider a contribution adding this
feature? What should I then pay attention at? For example, should there
be an option to enable/disable it for submodules, something like:

[url "http://new.url.example.com"]
     insteadOf = "old.url.example.com"
     submodules = true

--
Toon